shishi_apreq_options(3)

NAME
shishi_apreq_options - API function

SYNOPSIS
#include <shishi.h>

int shishi_apreq_options(Shishi * handle, Shishi_asn1 apreq, uint32_t * flags);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 apreq
    AP-REQ to get options from.

uint32_t * flags
    Output integer containing options from AP-REQ.

DESCRIPTION
Extract the AP-Options from AP-REQ into output integer.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.